#!/bin/sh

TAG_DDAUPGRADE=${TEMP_FOLDER}/tag_dda_upgrade
SQL_DDAUPGRADE=${TEMP_FOLDER}/dda_upgrade.sql
SQL_DDAROLLBACK=${TEMP_FOLDER}/dda_rollback.sql

F_install()
{
    # SEGTT-284195,BIF connect 
    /opt/trend/imss/PostgreSQL/bin/psql -U sa -c "insert into tb_global_setting values('bif', 'BIFUrl', 'https://licenseupdate.trendmicro.com/fb/bifconnect.ashx', 'imss.ini', '');" imss
    
    # SEGTT-297189,DDA
    /opt/trend/imss/PostgreSQL/bin/psql -U sa -c "select indexrelname from pg_stat_user_indexes where schemaname = 'public' and indexrelname = 'idx_original_msg_id';" imss |grep idx_original_msg_id > /dev/null 2>&1
    if [ $? -ne 0 ]; then
        # upgrade
        echo "DDA DB updating...";
        /opt/trend/imss/PostgreSQL/bin/psql -U sa -f ${SQL_DDAUPGRADE} imss;
        
        touch ${TAG_DDAUPGRADE};
    else
        # check tag file
        if [ -f "${TAG_DDAUPGRADE}" ]; then
            rm -f ${TAG_DDAUPGRADE};
        fi;
    fi;

    # SEGTT-323253,ATSE engine default level
    /opt/trend/imss/PostgreSQL/bin/psql -U sa -c "insert into tb_global_setting values('general', 'detection_aggressive_level', '3', 'imss.ini');" imss
    
    return 0
}

F_rollback()
{
    # SEGTT-259635,23895 to keep customer's settings, we don't delete from database here,
    # if the hot fix is applied again, insert statements will fail, it has no impact 
    # to function, it's OK.
    
    # SEGTT-297189,DDA
    # check tag file
    if [ -f "${TAG_DDAUPGRADE}" ]; then
        echo "DDA DB rollbacking...";
        /opt/trend/imss/PostgreSQL/bin/psql -U sa -f ${SQL_DDAROLLBACK} imss;
        
        rm -f ${TAG_DDAUPGRADE};
    fi;
    
    return 0
}

case "$1" in
'install')
    F_install
    ;;
'rollback')
    F_rollback
    ;;
*)
    exit 0
    ;;
esac
